Subject: Re: Boot hang when setting console=none with MPC5200B custom board

From: Albrecht Dreß <[email-masked]>
Date: Thu, 22 Apr 2010 21:25:49 +0200

Hi Sylvain:

Am 22.04.10 20:58 schrieb(en) Sylvain Lamontagne:
[snip]
> 1. Is it possible ?

Yes!  I tried this with several kernel versions (currently 2.6.33), using the option 'console=tty0'.  Works just fine...

> 2. Do you have any idea how it can be achieve ?

Hmmm, iirc, I also saw the effect you have.  I *think* the solution was to ensure that all /dev/* files were created manually in the jffs image, not by running mdev (if you use busybox).  But I might be wrong here, sorry.  Being at home, I don't have access to the device, but I can re-check tomorrow.

> 3. Do you know a bug in 2.6.29.2 that could prevent this to work ?

Not sure if I used *exactly* that version w/o serial console, but (iirc) 2.6.28.something, and then many different up to .33 - they all work!

Best, Albrecht.